Bug 16860 - Catch warning t/db_dependent/ClassSource.t
Summary: Catch warning t/db_dependent/ClassSource.t
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Mark Tompsett
QA Contact: Galen Charlton
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-06 15:56 UTC by Mark Tompsett
Modified: 2017-12-07 22:16 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16860: Catch warning t/db_dependent/ClassSource.t (1.90 KB, patch)
2016-07-06 16:00 UTC, Mark Tompsett
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 16860: Catch warning t/db_dependent/ClassSource.t (1.99 KB, patch)
2016-07-07 13:53 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 16860: Catch warning t/db_dependent/ClassSource.t (2.05 KB, patch)
2016-07-07 15:53 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16860: Remove the comment about the warning (910 bytes, patch)
2016-07-07 15:53 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Tompsett 2016-07-06 15:56:49 UTC
$ prove t/db_dependent/ClassSource.t
t/db_dependent/ClassSource.t .. 3/24 attempting to use non-existent class sorting routine routine1
t/db_dependent/ClassSource.t .. ok
All tests successful.
Files=1, Tests=24,  1 wallclock secs ( 0.02 usr  0.00 sys +  0.66 cusr  0.02 csys =  0.70 CPU)
Result: PASS

The above warning might be scary to those unfamiliar with the test.
Add a test to catch the warning.
Comment 1 Mark Tompsett 2016-07-06 16:00:24 UTC Comment hidden (obsolete)
Comment 2 Héctor Eduardo Castro Avalos 2016-07-07 13:53:43 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-07-07 15:53:01 UTC
Created attachment 53186 [details] [review]
Bug 16860: Catch warning t/db_dependent/ClassSource.t

$ prove t/db_dependent/ClassSource.t
t/db_dependent/ClassSource.t .. 3/24 attempting to use non-existent class sorting routine routine1
t/db_dependent/ClassSource.t .. ok
All tests successful.
Files=1, Tests=24,  1 wallclock secs ( 0.02 usr  0.00 sys +  0.66 cusr  0.02 csys =  0.70 CPU)
Result: PASS

The above warning might be scary to those unfamiliar with the test.
Add a test to catch the warning.

TEST PLAN
---------
1) prove t/db_dependent/ClassSource.t
   -- as above
2) apply patch
3) prove t/db_dependent/ClassSource.t
   -- no message
4) prove -v t/db_dependent/ClassSource.t
   -- test 13 is the new test
5) run koha qa test tools

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Workas as advertised

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2016-07-07 15:53:04 UTC
Created attachment 53187 [details] [review]
Bug 16860: Remove the comment about the warning

It is no longer necessary.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Kyle M Hall 2016-07-08 13:30:52 UTC
Pushed to master for 16.11, thanks Mark, Jonathan!
Comment 6 Frédéric Demians 2016-08-01 13:32:16 UTC
Pushed in 16.05. Will be in 16.05.02.
Comment 7 Julian Maurice 2016-08-16 15:30:55 UTC
Patches pushed to 3.22.x, will be in 3.22.10